#pragma once
#include <string>

namespace lily {
    enum class binop {
        add,
        subtract,
        times,
        divide
    };

    static std::string op_supercombinator(binop op) {
        switch(op) {
            case binop::add: return "op_add";
            case binop::subtract: return "op_sub";
            case binop::times: return "op_times";
            case binop::divide: return "op_divide";
        }
    }
};
